/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
export class VorgangAktenzeichenEditE2EComponent {
  private readonly textEditor: string = 'Aktenzeichen-text-input';
  private readonly confirmButton: string = 'aktenzeichen-edit-dialog-confirmation-button';
  private readonly cancelButton: string = 'aktenzeichen-edit-dialog-cancel-button';
  private readonly clearButton: string = 'clear-button';
  private readonly clipboardButton: string = 'aktenzeichen-paste-clipboard';

  private locatorRoot: string = 'alfa-aktenzeichen-edit-dialog';

  public getRoot() {
    return cy.getTestElement(this.locatorRoot);
  }

  public getTextEditor() {
    return cy.getTestElement(this.textEditor);
  }

  public getConfirmButton() {
    return cy.getTestElement(this.confirmButton);
  }

  public getCancelButton() {
    return cy.getTestElement(this.cancelButton);
  }

  public getClearButton() {
    return cy.getTestElement(this.clearButton);
  }

  public getClipboardButton() {
    return cy.getTestElement(this.clipboardButton);
  }
}
