/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import {
  ON_PAGE,
  PostfachMailLinkRel,
  PostfachMailResource,
  isIncomingMail,
} from '@alfa-client/postfach-shared';
import { StateResource } from '@alfa-client/tech-shared';
import { VorgangWithEingangResource } from '@alfa-client/vorgang-shared';
import { Component, Inject, Input } from '@angular/core';

@Component({
  selector: 'alfa-postfach-mail',
  templateUrl: './postfach-mail.component.html',
  styleUrls: ['./postfach-mail.component.scss'],
})
export class PostfachMailComponent {
  @Input() postfachMail: PostfachMailResource;
  @Input() vorgangStateResource: StateResource<VorgangWithEingangResource>;

  readonly postfachNachrichtLinkRel = PostfachMailLinkRel;

  constructor(@Inject(ON_PAGE) public onPage: boolean) {}

  public get isIncomingMail(): boolean {
    return isIncomingMail(this.postfachMail);
  }
}
