/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { Component, OnInit } from '@angular/core';
import { ON_PAGE, PostfachMailListResource, PostfachService } from '@alfa-client/postfach-shared';
import { StateResource } from '@alfa-client/tech-shared';
import { Observable } from 'rxjs';

@Component({
  selector: 'alfa-postfach-page-container',
  templateUrl: './postfach-page-container.component.html',
  styleUrls: ['./postfach-page-container.component.scss'],
  providers: [{ provide: ON_PAGE, useValue: true }],
})
export class PostfachPageContainerComponent implements OnInit {
  postfachMailListStateResource$: Observable<StateResource<PostfachMailListResource>>;

  constructor(private postfachService: PostfachService) {}

  ngOnInit() {
    this.postfachMailListStateResource$ = this.postfachService.getPostfachMailListByVorgang();
  }
}
