/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { Component, EventEmitter, Input, Output } from '@angular/core';

@Component({
  selector: 'alfa-vorgang-detail-bescheiden-step-button',
  templateUrl: './vorgang-detail-bescheiden-step-button.component.html',
})
export class VorgangDetailBescheidenStepButtonComponent {
  @Input() step: number;
  @Input() activeStep: number;
  @Output() activeStepChange = new EventEmitter<number>();

  clickHandler(step: number): void {
    if (this.isPrevious()) {
      this.activeStepChange.emit(step);
    }
  }

  isActive(): boolean {
    return this.step === this.activeStep;
  }

  isPrevious(): boolean {
    return this.step < this.activeStep;
  }

  isNext(): boolean {
    return this.step > this.activeStep;
  }
}
